---
"@context": https://schema.org
"@type": TechArticle
"@id": https://www.twilio.com/docs/api/errors/40153#article
headline: "40153: Absolute Paging used when iterating TaskRouter resources"
url: https://www.twilio.com/docs/api/errors/40153
inLanguage: en
dateModified: 2026-03-11T20:01:16.000Z
author:
  "@type": Organization
  name: Twilio Developer Education Team
publisher:
  "@type": Organization
  name: Twilio
---

# 40153: Absolute Paging used when iterating TaskRouter resources

Log Type: TWILIO

Log Level: WARNING

## Description

The absolute paging query type that is being used has been deprecated. Starting Dec. 1, 2021 we will no longer return data for this query, and instead return a 400-response for requests of query type /Workers?Page=\&PageSize=.

Please update your application to instead utilize relative paging: /Workers?PageToken=PA\<task\_sid>, where `<task_sid>` is the last item of the current page.

### Possible causes

Not using the latest Twilio helper libraries. Constructing requests directly which use Page & PageSize query parameters directly.

### Possible solutions

Utilize the latest Twilio helper libraries. Rely upon the PageToken instead of the Page Number for paging.
